import pathlib

import pytest

from autpy import git


@pytest.fixture
def git_config() -> dict[str, str]:
    return {
        "user.name": "AutPy Testsuite",
        "user.email": "florian.bruhin@ost.ch",
    }


@pytest.fixture
def repo(tmp_path: pathlib.Path, git_config: dict[str, str]) -> git.Repo:
    repo_path = tmp_path / "repo"
    r = git.Repo.init(repo_path, initial_branch="master")
    r.config_set(git_config)
    return r
